org.apache.maven.plugin.resources

## Class TestResourcesMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.plugin.resources.ResourcesMojo
    - - org.apache.maven.plugin.resources.TestResourcesMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class TestResourcesMojo
    extends ResourcesMojo

Copy resources for the test source code to the test output directory.

Version:
  $Id: TestResourcesMojo.java 695272 2008-09-14 19:39:07Z olamy $
Author:
  Michal Maczka, Jason van Zyl

### Field Summary

### Fields inherited from class org.apache.maven.plugin.resources.ResourcesMojo

`encoding, escapeString, filters, includeEmptyDirs, mavenResourcesFiltering, nonFilteredFileExtensions, project, session`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`TestResourcesMojo()`

### Method Summary

Methods
`File` `getOutputDirectory()`
`List` `getResources()`
`void` `setOutputDirectory(File outputDirectory)`
`void` `setResources(List resources)`

### Methods inherited from class org.apache.maven.plugin.resources.ResourcesMojo

`execute, isIncludeEmptyDirs, isOverwrite, setIncludeEmptyDirs, setOverwrite`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestResourcesMojo

    public TestResourcesMojo()

### Method Detail

#### getOutputDirectory

    public File getOutputDirectory()

Overrides:
  `getOutputDirectory` in class `ResourcesMojo`

#### setOutputDirectory

    public void setOutputDirectory(File outputDirectory)

Overrides:
  `setOutputDirectory` in class `ResourcesMojo`

#### getResources

    public List getResources()

Overrides:
  `getResources` in class `ResourcesMojo`

#### setResources

    public void setResources(List resources)

Overrides:
  `setResources` in class `ResourcesMojo`